Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class ProofOfPossession

`java.lang.Object
oracle.security.crypto.cmp.ProofOfPossession`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

Direct Known Subclasses:
  KeyAgreementPOP, KeyEnciphermentPOP, RAVerifiedPOP, SignaturePOP

public abstract class ProofOfPossession
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

CRMF base class for proof of possession values which are used to prove that an end entity actually has possession of the private key for the certificate being requested.

Three types of proof of possession values are supported:

- raVerified: Proof-of-possession has already been verfied by the RA.
- signature: Used for signature keys (typical case).
- keyEncipherment: Used for key encipherment keys.
- keyAgreement: Used for key agreement keys.

See Also:
  `CertReqMsg`

Nested Class Summary
`static class` | `ProofOfPossession.SubsequentMsg` Type of subsequent message to be used for `KeyEnciphermentPOP` and `KeyAgreementPOP`.
`static class` | `ProofOfPossession.Type` Type of proof-of-possession.

Constructor Summary
`ProofOfPossession()`

Method Summary
`abstract ProofOfPossession.Type` | `getType()` Returns one of the values defined in `ProofOfPossession.Type`.
`static ProofOfPossession` | `inputInstance(java.io.InputStream is)` Creates a new CRMF `ProofOfPossession` by reading its encoding from the given input stream.
`int` | `length()`
`void` | `output(java.io.OutputStream os)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.security.crypto.util.Streamable
`input`

Constructor Detail

### ProofOfPossession

    public ProofOfPossession()

Method Detail

### getType

    public abstract ProofOfPossession.Type getType()

  Returns one of the values defined in `ProofOfPossession.Type`.

### inputInstance

    public static ProofOfPossession inputInstance(java.io.InputStream is)
                                           throws java.io.IOException

  Creates a new CRMF `ProofOfPossession` by reading its encoding from the given input stream.
  Parameters:
    `is` - the input stream.
  Throws:
    `java.io.IOException` - If an I/O error occurs during input, or the encoding does not have the correct format.

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.